package cn.com.qmth.markingaudit.service.impl;

import org.springframework.stereotype.Service;

import com.qmth.boot.core.security.annotation.AuthorizationComponent;
import com.qmth.boot.core.security.service.AuthorizationService;
import com.qmth.boot.tools.signature.SignatureType;
import cn.com.qmth.markingaudit.bean.Constants;

import cn.com.qmth.markingaudit.bean.AccessInfo;

@Service
@AuthorizationComponent(prefix = { Constants.URI_PREFIX }, type = SignatureType.SECRET)
public class AuthServiceImpl implements AuthorizationService<AccessInfo> {

    @Override
    public AccessInfo findByIdentity(String identity, SignatureType signatureType, String path) {
        return new AccessInfo(identity, identity + "1", identity);
    }
}